unit Childwin;

interface

uses Windows, Classes, Graphics, Forms, Controls, StdCtrls, ActnList, Menus,
  ToolWin, ComCtrls, Buttons, abActnLst;

type
  TMDIChild = class(TForm)
    Memo1: TMemo;
    ToolBar1: TToolBar;
    SpeedButton1: TSpeedButton;
    abActChildClose: TabAction;
    abActionList1: TabActionList;
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure actChildCloseExecute(Sender: TObject);
    procedure ActionList1Change(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation
uses main;

{$R *.DFM}

procedure TMDIChild.FormClose(Sender: TObject; var Action: TCloseAction);
begin
  Action := caFree;
end;

procedure TMDIChild.actChildCloseExecute(Sender: TObject);
begin
  Close;
end;

procedure TMDIChild.ActionList1Change(Sender: TObject);
begin
  //
end;

end.
